# $Id: libelanhosts.spec.in,v 1.1.1.1 2004/05/06 22:48:33 grondo Exp $

Name:    libelanhosts
Version: 0.9
Release: 1

Summary: ElanID to hostname mapping library

License: GPL
Group:   System Environment/Libraries
Source:  %{name}-%{version}-%{release}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
The libelanhosts library is used by applications to parse
the /etc/elanhosts configuration file, which maps ElanId to
Hostname for clusters running the Quadrics QsNet interconnect.

%prep
%setup -n %{name}-%{version}-%{release}

%build
%configure --program-prefix=%{?_program_prefix:%{_program_prefix}}
make

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT" 
DESTDIR="$RPM_BUILD_ROOT" make install
install -D -m644 etc/elanhosts $RPM_BUILD_ROOT/etc/elanhosts

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
/sbin/ldconfig %{_libdir}

%files
%defattr(-,root,root)
%doc AUTHORS
%doc BUGS
%doc COPYING
%doc ChangeLog
%doc DISCLAIMER
%doc INSTALL
%doc NEWS
%doc README
%doc TODO
%doc etc/elanhosts
%{_libdir}/*
%{_includedir}/*
%{_mandir}/*/*
%config(noreplace) /etc/elanhosts

%changelog
* Tue May  4 2004  Mark Grondona <mgrondona@llnl.gov>
- Initial release.

